package com.yunzhi.marketing.xlk.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.marketing.base.ResponseBean;
import com.yunzhi.marketing.entity.TaBuilding;
import com.yunzhi.marketing.xlk.dto.SearchHouseDTO;
import com.yunzhi.marketing.xlk.entity.SearchHouse;
import com.yunzhi.marketing.xlk.vo.ExportSearchHouseVO;
import com.yunzhi.marketing.xlk.vo.SearchHouseVO;

import java.util.List;

/**
 * <p>
 * 帮我找房  服务类
 * </p>
 *
 * @author jobob
 * @since 2021-05-19
 */
public interface ISearchHouseService extends IService<SearchHouse> {

    /**
     * 查询我的找房需求列表
     *
     * @param pg
     * @param searchHouse
     * @return
     */
    ResponseBean selectSearchHouseList(IPage<SearchHouseVO> pg, SearchHouseVO searchHouse);

    SearchHouseVO selectSearchHouseDetail(String id);

    /**
     * 推荐楼盘
     * @param searchHouseDTO
     * @return
     */
    List<TaBuilding> getRecommendBuildings(Integer orgId, SearchHouseDTO searchHouseDTO);

    /**
     * 获取导出的数据集合
     * @param searchHouse
     * @return
     */
    List<ExportSearchHouseVO> selectExportHouseList(SearchHouseVO searchHouse);
}
